<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
$permisos = str_split($sesion->get('permiso'));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script  type="text/javascript"> 

$(document).ready(function(){
	var lastsel3;
	var datos=new Array();
	var cod_area="";
	var parametros="?tb=aux_tipos_identificacion&cmps=ide_tipoiden,nom_tipoiden&grilla=1&selec="+cod_area;	
	
	var grilla=jQuery("#listado_profesores").jqGrid({
		height: 340,
		width:960,
		url:'mod_profesores/list_profesores.php',
		datatype: "json",
		hidegrid:false,
		multiselect: false,
		shrinkToFit:false,
		rowNum:15,
		rowList:[15,30,50],
		pager: '#pager_profesores',
		sortname: 'ap1_pro',
		viewrecords: true,
		sortorder: "asc",
		editurl:'mod_profesores/profesores_new_edit.php',
		caption:'<?php echo $cleguaje->Phrase('profesores','titulogrilla') ?>',
		toolbar:[true,"top"],
		colNames:[
			'<?php echo $cleguaje->getField('global','num_doc') ?>',
			'<?php echo $cleguaje->getField('global','tip_doc') ?>',
			'<?php echo $cleguaje->Phrase('global','nom_ape') ?>',
			'<?php echo $cleguaje->getField('global','pri_ape') ?>',
			'<?php echo $cleguaje->getField('global','seg_ape') ?>',
			'<?php echo $cleguaje->getField('global','pri_nom') ?>',
			'<?php echo $cleguaje->getField('global','seg_nom') ?>',
			'<?php echo $cleguaje->getField('global','direccion') ?>',
			'<?php echo $cleguaje->getField('global','celular') ?>',
			'<?php echo $cleguaje->getField('global','mail') ?>',
		],
		colModel:[
			{name:'ide_profesor',index:'ide_profesor',resizable:false,width:110},
			{name:'nom_tipoiden',index:'nom_tipoiden',resizable:false,width:180,},
			
			{name:'nom_ape',index:'nom_ape',resizable:false,width:200, search:false,},
			
			{name:'ap1_pro',index:'ap1_pro', width:200, hidden:true, searchoptions:{searchhidden:true} },
			{name:'ap2_pro',index:'ap2_pro', width:200, hidden:true, searchoptions:{searchhidden:true} },
			{name:'no1_pro',index:'no1_pro', width:200, hidden:true, searchoptions:{searchhidden:true} },
			{name:'no2_pro',index:'no2_pro', width:200, hidden:true, searchoptions:{searchhidden:true} },
			
			{name:'dir_pro',index:'dir_pro',resizable:false,width:180},
			{name:'cel_pro',index:'cel_pro',resizable:false,width:110},
			{name:'mail_pro',index:'mail_pro',resizable:false,width:130},	
		],
		loadComplete:function(){
			cambiar_iconos('pager_profesores')
		}
	})
	
	jQuery("#listado_profesores").jqGrid('navGrid','#pager_profesores',{add:false,edit:false,del:false}, {}, {}, {}, {
		multipleSearch:true,
		modal:true,
		resize : false,
	});
	
	
<?php 
if(in_array("A", $permisos)) { ?>
		var dtnew={
			nom_pag:"t_listado_profesores",
			ancho:'auto',
			alto:'auto',
			param:'?accion=new',
			iframe:false,
			recarga:true,
			title: '<?php echo $cleguaje->Phrase('global','new') . " " . $cleguaje->Phrase('profesores','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('global','empresa') ?>'
		}		
		btnNuevoColorbox(grilla,dtnew)
			
<?php  } if(in_array("M", $permisos)) {?>
		var dtedit={
			nom_pag:"t_listado_profesores",
			ide_tabla:'listado_profesores',
			ancho:'auto',
			alto:'auto',
			param:'?accion=edit&recarga=true',
			iframe:false,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrec') ?>', //mensaje si no selecciona un registro
			title: '<?php echo $cleguaje->Phrase('global','edit') . " " . $cleguaje->Phrase('profesores','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','empresa') ?>',
		}	
		
		btnEditarColorbox(grilla,dtedit)
		
<?php } if(in_array("E", $permisos)) {?>	
		var tddel={
			modulo:'profesores',
			nom_pag:"t_listado_profesores",
			ide_tabla:'listado_profesores',
			recarga:true,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$cleguaje->Phrase('profesores','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $cleguaje->Phrase('global','del') . " " . $cleguaje->Phrase('profesores','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			isgrid:false,
			url:'mod_profesores/opera_profesores.php',
			msgExito:'<?php  echo $cleguaje->Phrase('global','delexito') ?>',
		}
		btnEliminar(grilla,tddel)
		
<?php } ?>

	
});

</script>
<title>Administrador Docentes</title>
</head>

<body>
<table align="center">
  <tr>
  <td>
<table id="listado_profesores"></table>
<div id="pager_profesores"></div>
</td></tr>
</table>
	

</body>
</html>